Bug 102217 - Student enrollment, class creation may be a performance hit
Student enrollment, class creation may be a performance hit
Status: CLOSED WONTFIX
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Meyer
Bowe Strickland
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 13:13 EDT by Luke Meyer
Modified: 2007-03-27 00:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-22 15:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2003-08-12 13:13:58 EDT
When a student is enrolled, it takes several seconds of database activity.  This
can only get worse as the instance table grows.  At some point I need to talk
with Marty about how to make this more efficient.

Approximately the same issue is present with class enrollment.

One option is to do everything in perl (one big read, many sequential inserts).
 There may be other PL/SQL features available that help as well.  The challenge
is to avoid the thousands of reads and writes needed currently.
Comment 1 Luke Meyer 2004-06-22 15:18:43 EDT
when this becomes a problem we'll worry about it.

Note You need to log in before you can comment on or make changes to this bug.